=== modified file 'lib/lp/bugs/model/tests/test_bugsubscriptionfilter.py'
--- lib/lp/bugs/model/tests/test_bugsubscriptionfilter.py	2011-12-21 14:58:31 +0000
+++ lib/lp/bugs/model/tests/test_bugsubscriptionfilter.py	2011-12-22 09:05:46 +0000
@@ -1,4 +1,4 @@
-# Copyright 2010 Canonical Ltd.  This software is licensed under the
+# Copyright 2010-2011 Canonical Ltd.  This software is licensed under the
 # GNU Affero General Public License version 3 (see the file LICENSE).
 
 """Tests for the bugsubscription module."""
@@ -13,7 +13,6 @@
     )
 
 from canonical.launchpad import searchbuilder
-from lp.services.database.lpstorm import IStore
 from canonical.testing import DatabaseFunctionalLayer
 from lp.bugs.enum import BugNotificationLevel
 from lp.bugs.interfaces.bugtask import (
@@ -21,6 +20,7 @@
     BugTaskStatus,
     )
 from lp.bugs.model.bugsubscriptionfilter import BugSubscriptionFilter
+from lp.services.database.lpstorm import IStore
 from lp.testing import (
     anonymous_logged_in,
     login_person,
@@ -154,7 +154,7 @@
             None,
             IStore(bug_subscription_filter).find(
                 BugSubscriptionFilter,
-                BugSubscriptionFilter.id==bug_subscription_filter.id).one())
+                BugSubscriptionFilter.id == bug_subscription_filter.id).one())
         # The structural subscription is gone too.
         self.assertIs(None, Store.of(self.subscription))
 

=== modified file 'lib/lp/bugs/stories/bug-release-management/xx-bug-release-management.txt'
--- lib/lp/bugs/stories/bug-release-management/xx-bug-release-management.txt	2011-11-24 00:51:13 +0000
+++ lib/lp/bugs/stories/bug-release-management/xx-bug-release-management.txt	2011-12-22 09:05:46 +0000
@@ -3,7 +3,8 @@
 
 The approve/decline links and buttons aren't visible to unprivileged users.
 
-    >>> no_priv_browser = setupBrowser(auth="Basic no-priv@canonical.com:test")
+    >>> no_priv_browser = setupBrowser(
+    ...     auth="Basic no-priv@canonical.com:test")
     >>> no_priv_browser.open("http://launchpad.dev/bugs/1")
     >>> no_priv_browser.getLink(
     ...     url="http://launchpad.dev/firefox/+bug/1/nominations/"
@@ -243,7 +244,8 @@
     >>> admin_browser.getControl('Bug Supervisor').value = 'no-priv'
     >>> admin_browser.getControl('Change').click()
 
-    >>> print extract_text(find_tag_by_id(admin_browser.contents, 'bug-supervisor'))
+    >>> print extract_text(
+    ...     find_tag_by_id(admin_browser.contents, 'bug-supervisor'))
     Bug supervisor:
     No Privileges Person
 

=== modified file 'lib/lp/bugs/stories/bug-release-management/xx-review-nominated-bugs.txt'
--- lib/lp/bugs/stories/bug-release-management/xx-review-nominated-bugs.txt	2011-11-25 16:51:29 +0000
+++ lib/lp/bugs/stories/bug-release-management/xx-review-nominated-bugs.txt	2011-12-22 09:05:46 +0000
@@ -1,6 +1,8 @@
-= Review Nominated Bugs =
+Review Nominated Bugs
+=====================
 
-== Distribution Series ==
+Distribution Series
+-------------------
 
 From the distribution series bug page you can go to a page to review
 all the bugs nominated for this series.
@@ -107,7 +109,8 @@
     ...
     LookupError: label 'Save changes'
 
-== Product Series ==
+Product Series
+--------------
 
 A product series has the same nomination listing as a distro series.
 

=== modified file 'lib/lp/bugs/stories/bug-tags/xx-official-bug-tags.txt'
--- lib/lp/bugs/stories/bug-tags/xx-official-bug-tags.txt	2011-11-21 05:22:40 +0000
+++ lib/lp/bugs/stories/bug-tags/xx-official-bug-tags.txt	2011-12-22 09:05:46 +0000
@@ -1,4 +1,5 @@
-= Official Bug Tags =
+Official Bug Tags
+=================
 
 Project admins can manage the official bug tags by following a link
 from the main bug page.
@@ -82,7 +83,8 @@
     >>> print bug_super_browser.getControl('Official Bug Tags').value
     bar foo
 
-== Official Tags on Bug Pages ==
+Official Tags on Bug Pages
+--------------------------
 
 Official tags are displayed using a different style from unofficial ones.
 They are grouped together at the beginning of the list.
@@ -108,9 +110,11 @@
     unofficial-tag delta
 
 
-== Entering Official Tags ==
+Entering Official Tags
+----------------------
 
-=== Available Official Tags in Javascript ===
+Available Official Tags in Javascript
+.....................................
 
 The list of available official tags is present on the page as a Javascript
 variable. This list is used to initialize the tag entry widget. The list

=== modified file 'lib/lp/buildmaster/tests/mock_slaves.py'
--- lib/lp/buildmaster/tests/mock_slaves.py	2011-12-19 23:38:16 +0000
+++ lib/lp/buildmaster/tests/mock_slaves.py	2011-12-22 09:05:46 +0000
@@ -1,4 +1,4 @@
-# Copyright 2009 Canonical Ltd.  This software is licensed under the
+# Copyright 2009-2011 Canonical Ltd.  This software is licensed under the
 # GNU Affero General Public License version 3 (see the file LICENSE).
 
 """Mock Build objects for tests soyuz buildd-system."""
@@ -147,9 +147,11 @@
 
     def sendFileToSlave(self, sha1, url, username="", password=""):
         d = self.ensurepresent(sha1, url, username, password)
+
         def check_present((present, info)):
             if not present:
                 raise CannotFetchFile(url, info)
+
         return d.addCallback(check_present)
 
     def cacheFile(self, logger, libraryfilealias):

=== modified file 'lib/lp/code/browser/tests/test_branch.py'
--- lib/lp/code/browser/tests/test_branch.py	2011-12-19 23:38:16 +0000
+++ lib/lp/code/browser/tests/test_branch.py	2011-12-22 09:05:46 +0000
@@ -1,4 +1,4 @@
-# Copyright 2009 Canonical Ltd.  This software is licensed under the
+# Copyright 2009-2011 Canonical Ltd.  This software is licensed under the
 # GNU Affero General Public License version 3 (see the file LICENSE).
 
 """Unit tests for BranchView."""
@@ -49,7 +49,6 @@
     BranchLifecycleStatus,
     BranchType,
     BranchVisibilityRule,
-    CodeReviewVote,
     )
 from lp.code.interfaces.branchtarget import IBranchTarget
 from lp.registry.interfaces.person import PersonVisibility

=== modified file 'lib/lp/code/browser/tests/test_tales.py'
--- lib/lp/code/browser/tests/test_tales.py	2011-12-02 03:48:42 +0000
+++ lib/lp/code/browser/tests/test_tales.py	2011-12-22 09:05:46 +0000
@@ -1,4 +1,4 @@
-# Copyright 2009 Canonical Ltd.  This software is licensed under the
+# Copyright 2009-2011 Canonical Ltd.  This software is licensed under the
 # GNU Affero General Public License version 3 (see the file LICENSE).
 
 """Tests for the tales formatters."""
@@ -67,7 +67,7 @@
     def test_creation_method(self):
         # Just confirm that our helpers do what they say.
         preview = self._createPreviewDiff(
-            12, 45, 23, u'conflicts', {'filename': (3,2)})
+            12, 45, 23, u'conflicts', {'filename': (3, 2)})
         self.assertEqual(12, preview.diff_lines_count)
         self.assertEqual(45, preview.added_lines_count)
         self.assertEqual(23, preview.removed_lines_count)
@@ -144,7 +144,7 @@
     def test_fmt_stale_non_empty_diff(self):
         # If there is no diff, there is no link.
         diffstat = dict(
-            (self.factory.getUniqueString(), (2,3)) for x in range(23))
+            (self.factory.getUniqueString(), (2, 3)) for x in range(23))
         preview = self._createStalePreviewDiff(
             500, 89, 340, diffstat=diffstat)
         self.assertEqual(
@@ -156,7 +156,7 @@
     def test_fmt_stale_non_empty_diff_with_conflicts(self):
         # If there is no diff, there is no link.
         diffstat = dict(
-            (self.factory.getUniqueString(), (2,3)) for x in range(23))
+            (self.factory.getUniqueString(), (2, 3)) for x in range(23))
         preview = self._createStalePreviewDiff(
             500, 89, 340, u'conflicts', diffstat=diffstat)
         self.assertEqual(

=== modified file 'lib/lp/code/interfaces/codereviewcomment.py'
--- lib/lp/code/interfaces/codereviewcomment.py	2011-12-19 23:38:16 +0000
+++ lib/lp/code/interfaces/codereviewcomment.py	2011-12-22 09:05:46 +0000
@@ -1,4 +1,4 @@
-# Copyright 2009 Canonical Ltd.  This software is licensed under the
+# Copyright 2009-2011 Canonical Ltd.  This software is licensed under the
 # GNU Affero General Public License version 3 (see the file LICENSE).
 
 # pylint: disable-msg=E0211
@@ -90,7 +90,6 @@
             readonly=True))
 
 
-
 class ICodeReviewCommentDeletion(Interface):
     """This interface provides deletion of CodeReviewComments.
 

=== modified file 'lib/lp/code/javascript/tests/test_branchdiff.js'
--- lib/lp/code/javascript/tests/test_branchdiff.js	2011-11-16 17:37:46 +0000
+++ lib/lp/code/javascript/tests/test_branchdiff.js	2011-12-22 09:05:46 +0000
@@ -1,4 +1,4 @@
-/* Copyright 2010 Canonical Ltd.  This software is licensed under the
+/* Copyright 2010-2011 Canonical Ltd.  This software is licensed under the
  * GNU Affero General Public License version 3 (see the file LICENSE).
  *
  * Tests for lp.code.branchmergeproposal.diff.
@@ -69,8 +69,9 @@
     Y.Test.Runner.on('complete', handle_complete);
     Y.Test.Runner.add(suite);
 
-    // keep the default console object so we can debug with our dev tools while
-    // still allow us to log to the YUI Console via Y.log and yconsole
+    // Keep the default console object so we can debug with our dev tools
+    // while still allowing us to log to the YUI Console via Y.log and
+    // yconsole.
     var yconsole = new Y.Console({newestOnTop: false});
     yconsole.render('#log');
 

=== modified file 'lib/lp/code/model/recipebuild.py'
--- lib/lp/code/model/recipebuild.py	2011-12-21 14:58:31 +0000
+++ lib/lp/code/model/recipebuild.py	2011-12-22 09:05:46 +0000
@@ -26,7 +26,6 @@
     )
 from zope.interface import implements
 
-from lp.services.database.lpstorm import ISlaveStore
 from canonical.launchpad.webapp.publisher import canonical_url
 from lp.buildmaster.enums import BuildStatus
 from lp.buildmaster.model.buildfarmjob import BuildFarmJob
@@ -37,6 +36,7 @@
 from lp.registry.model.person import Person
 from lp.registry.model.sourcepackagename import SourcePackageName
 from lp.services.database.decoratedresultset import DecoratedResultSet
+from lp.services.database.lpstorm import ISlaveStore
 from lp.services.database.stormexpr import CountDistinct
 from lp.soyuz.model.archive import Archive
 from lp.soyuz.model.binarypackagebuild import BinaryPackageBuild
@@ -200,8 +200,8 @@
         # We don't support distinct=False for this result set
         select = Select(
             columns=CountDistinct(self.result_set._group_by),
-            tables = self.result_set._tables,
-            where = self.result_set._where,
+            tables=self.result_set._tables,
+            where=self.result_set._where,
             )
         result = self.result_set._store.execute(select)
         return result.get_one()[0]

=== modified file 'lib/lp/code/model/tests/test_branchcloud.py'
--- lib/lp/code/model/tests/test_branchcloud.py	2011-12-20 23:35:04 +0000
+++ lib/lp/code/model/tests/test_branchcloud.py	2011-12-22 13:33:27 +0000
@@ -1,4 +1,4 @@
-# Copyright 2009 Canonical Ltd.  This software is licensed under the
+# Copyright 2009-2011 Canonical Ltd.  This software is licensed under the
 # GNU Affero General Public License version 3 (see the file LICENSE).
 
 """Tests for IBranchCloud provider."""
@@ -43,11 +43,14 @@
         # commit the transaction to make the information visible to the slave.
         transaction.commit()
         cloud_info = self._branch_cloud.getProductsWithInfo(num_products)
-        # The last commit time is timezone unaware as the storm Max function
-        # doesn't take into account the type that it is aggregating, so whack
-        # the UTC tz on it here for easier comparing in the tests.
+
         def add_utc(value):
+            # Since Storm's Max function does not take into account the
+            # type that it is aggregating, the last commit time is not
+            # timezone-aware.  Whack the UTC timezone on it here for
+            # easier comparing in the tests.
             return value.replace(tzinfo=pytz.UTC)
+
         return [
             (name, commits, authors, add_utc(last_commit))
             for name, commits, authors, last_commit in cloud_info]

=== modified file 'lib/lp/code/model/tests/test_branchnamespace.py'
--- lib/lp/code/model/tests/test_branchnamespace.py	2011-11-16 21:36:38 +0000
+++ lib/lp/code/model/tests/test_branchnamespace.py	2011-12-22 09:05:46 +0000
@@ -978,6 +978,7 @@
         namespace = PersonalNamespace(team)
         self.assertTrue(namespace.canBranchesBePrivate())
 
+
 class TestPersonalNamespaceCanBranchesBePublic(TestCaseWithFactory):
     """Tests for PersonalNamespace.canBranchesBePublic."""
 

=== modified file 'lib/lp/code/model/tests/test_branchvisibility.py'
--- lib/lp/code/model/tests/test_branchvisibility.py	2011-12-19 23:38:16 +0000
+++ lib/lp/code/model/tests/test_branchvisibility.py	2011-12-22 09:05:46 +0000
@@ -78,7 +78,7 @@
         branch = self.factory.makeBranch(owner=owner, private=True)
         naked_branch = removeSecurityProxy(branch)
 
-        clear_cache() # clear authorization cache for check_permission
+        clear_cache()  # Clear authorization cache for check_permission.
         access = AccessBranch(naked_branch)
         self.assertFalse(access.checkUnauthenticated())
         self.assertTrue(

=== modified file 'lib/lp/code/model/tests/test_recipebuilder.py'
--- lib/lp/code/model/tests/test_recipebuilder.py	2011-12-19 23:38:16 +0000
+++ lib/lp/code/model/tests/test_recipebuilder.py	2011-12-22 09:05:46 +0000
@@ -1,4 +1,4 @@
-# Copyright 2010 Canonical Ltd.  This software is licensed under the
+# Copyright 2010-2011 Canonical Ltd.  This software is licensed under the
 # GNU Affero General Public License version 3 (see the file LICENSE).
 
 """Test RecipeBuildBehavior."""
@@ -294,7 +294,7 @@
         # dispatchBuildToSlave will fail when there is not chroot tarball
         # available for the distroseries to build for.
         job = self.makeJob()
-        test_publisher = SoyuzTestPublisher()
+        #test_publisher = SoyuzTestPublisher()
         builder = MockBuilder("bob-de-bouwer", OkSlave())
         processorfamily = ProcessorFamilySet().getByProcessorName('386')
         builder.processor = processorfamily.processors[0]

=== modified file 'lib/lp/code/model/tests/test_revisionauthor.py'
--- lib/lp/code/model/tests/test_revisionauthor.py	2011-12-19 23:38:16 +0000
+++ lib/lp/code/model/tests/test_revisionauthor.py	2011-12-22 09:05:46 +0000
@@ -94,7 +94,7 @@
 
     def test_new_harry_not_linked(self):
         # Check a NEW email address is not used to link.
-        harry = self._makeHarry(EmailAddressStatus.NEW)
+        self._makeHarry(EmailAddressStatus.NEW)
         author = self._createRevisionAuthor()
         self.assertEqual('harry@canonical.com', author.email)
         self.assertEqual(None, author.person)
@@ -146,26 +146,26 @@
 
     def test_validated_email_updates(self):
         # A newly validated email for a user.
-        self.assertEqual(None, self.author.person,
-                         'No author should be initially set.')
+        self.assertEqual(
+            None, self.author.person, "No author should be initially set.")
         harry = self._makeHarry(EmailAddressStatus.NEW)
         # Since the email address is initially new, there should still be
         # no link.
-        self.assertEqual(None, self.author.person,
-                         'No author should be set yet.')
+        self.assertEqual(
+            None, self.author.person, "No author should be set yet.")
         email = harry.guessedemails[0]
         harry.validateAndEnsurePreferredEmail(email)
-        transaction.commit() # Sync all changes
+        transaction.commit()  # Sync changes.
 
         # The link still hasn't been created at this point.
-        self.assertEqual(None, self.author.person,
-                         'No author should be set yet.')
+        self.assertEqual(
+            None, self.author.person, "No author should be set yet.")
 
         # After the garbo RevisionAuthorEmailLinker job runs, the link
         # is made.
         RevisionAuthorEmailLinker(log=DevNullLogger()).run()
-        self.assertEqual(harry, self.author.person,
-                         'Harry should now be the author.')
+        self.assertEqual(
+            harry, self.author.person, "Harry should now be the author.")
 
 
 class TestRevisionAuthor(TestCase):

=== modified file 'lib/lp/code/scripts/tests/test_create_merge_proposals.py'
--- lib/lp/code/scripts/tests/test_create_merge_proposals.py	2011-12-22 05:37:22 +0000
+++ lib/lp/code/scripts/tests/test_create_merge_proposals.py	2011-12-22 13:33:27 +0000
@@ -1,14 +1,12 @@
 #! /usr/bin/python
 #
-# Copyright 2009 Canonical Ltd.  This software is licensed under the
+# Copyright 2009-2011 Canonical Ltd.  This software is licensed under the
 # GNU Affero General Public License version 3 (see the file LICENSE).
 
 """Test the create_merge_proposals script"""
 
 from cStringIO import StringIO
 
-from bzrlib import errors as bzr_errors
-from bzrlib.branch import Branch
 import transaction
 from zope.component import getUtility
 
@@ -39,9 +37,11 @@
             'cronscripts/create_merge_proposals.py', [])
         self.assertEqual(0, retcode)
         self.assertEqual(
-            'INFO    Creating lockfile: /var/lock/launchpad-create_merge_proposals.lock\n'
-            'INFO    Running CreateMergeProposalJob (ID %d) in status Waiting\n'
-            'INFO    Ran 1 CreateMergeProposalJobs.\n' % job.job.id, stderr)
+            "INFO    Creating lockfile: "
+            "/var/lock/launchpad-create_merge_proposals.lock\n"
+            "INFO    "
+            "Running CreateMergeProposalJob (ID %d) in status Waiting\n"
+            "INFO    Ran 1 CreateMergeProposalJobs.\n" % job.job.id, stderr)
         self.assertEqual('', stdout)
         self.assertEqual(1, source.landing_targets.count())
 
@@ -67,8 +67,9 @@
             'cronscripts/create_merge_proposals.py', [])
         self.assertEqual(0, retcode)
         self.assertEqual(
-            'INFO    Creating lockfile: /var/lock/launchpad-create_merge_proposals.lock\n'
-            'INFO    Ran 1 CreateMergeProposalJobs.\n', stderr)
+            "INFO    Creating lockfile: "
+            "/var/lock/launchpad-create_merge_proposals.lock\n"
+            "INFO    Ran 1 CreateMergeProposalJobs.\n", stderr)
         self.assertEqual('', stdout)
         bmp = branch.landing_candidates[0]
         local_source = bmp.source_branch.getBzrBranch()

=== modified file 'lib/lp/code/templates/codereviewcomment-body.pt'
--- lib/lp/code/templates/codereviewcomment-body.pt	2011-11-29 20:51:38 +0000
+++ lib/lp/code/templates/codereviewcomment-body.pt	2011-12-22 09:05:46 +0000
@@ -12,11 +12,11 @@
     </div>
   </tal:good-attachments>
 
-  <div class="replyLink" itemprop="replyToUrl" 
+  <div class="replyLink" itemprop="replyToUrl"
     tal:define="link context/menu:context/reply"
     tal:condition="link/enabled"
     tal:attributes="url link/fmt:url">
-    <tal:reply 
+    <tal:reply
       tal:replace="structure link/render">
       Reply
     </tal:reply>

=== modified file 'lib/lp/code/templates/codereviewcomment-header.pt'
--- lib/lp/code/templates/codereviewcomment-header.pt	2011-11-30 23:28:08 +0000
+++ lib/lp/code/templates/codereviewcomment-header.pt	2011-12-22 09:05:46 +0000
@@ -18,8 +18,8 @@
           tal:content="context/comment_date/fmt:displaydate">
           7 minutes ago
         </time>:
-        <span 
-          tal:condition="context/from_superseded" 
+        <span
+          tal:condition="context/from_superseded"
           class="sprite warning-icon"
           style="float: right">Posted in
             <a

=== modified file 'lib/lp/code/windmill/tests/test_branch_status.py'
--- lib/lp/code/windmill/tests/test_branch_status.py	2011-12-19 23:38:16 +0000
+++ lib/lp/code/windmill/tests/test_branch_status.py	2011-12-22 09:05:46 +0000
@@ -1,4 +1,4 @@
-# Copyright 2009 Canonical Ltd.  This software is licensed under the
+# Copyright 2009-2011 Canonical Ltd.  This software is licensed under the
 # GNU Affero General Public License version 3 (see the file LICENSE).
 
 """Tests for branch statuses."""
@@ -42,7 +42,9 @@
         client.asserts.assertTextIn(
             id=u'edit-lifecycle_status', validator=u'Experimental')
         client.asserts.assertNode(
-            jquery=u'("div#edit-lifecycle_status span.value.branchstatusEXPERIMENTAL")')
+            jquery=(
+                u'("div#edit-lifecycle_status '
+                u'span.value.branchstatusEXPERIMENTAL")'))
 
         transaction.commit()
         freshly_fetched_branch = Store.of(branch).find(

=== modified file 'lib/lp/code/xmlrpc/tests/test_branch.py'
--- lib/lp/code/xmlrpc/tests/test_branch.py	2011-12-19 23:38:16 +0000
+++ lib/lp/code/xmlrpc/tests/test_branch.py	2011-12-22 09:05:46 +0000
@@ -1,4 +1,4 @@
-# Copyright 2009 Canonical Ltd.  This software is licensed under the
+# Copyright 2009-2011 Canonical Ltd.  This software is licensed under the
 # GNU Affero General Public License version 3 (see the file LICENSE).
 
 """Unit tests for the public codehosting API."""
@@ -124,7 +124,7 @@
         # development focus of the product for the anonymous public access,
         # just to the aliased short name for bzr+ssh access.
         product, trunk = self.makeProdutWithTrunk()
-        lp_path='%s/%s' % (product.name, product.development_focus.name)
+        lp_path = '%s/%s' % (product.name, product.development_focus.name)
         self.assertResolves(lp_path, trunk.unique_name, lp_path)
 
     def test_target_doesnt_exist(self):
@@ -317,7 +317,7 @@
         # anonymous user.
         branch = self.factory.makeAnyBranch(private=True)
         series = self.factory.makeProductSeries(branch=branch)
-        lp_path='%s/%s' % (series.product.name, series.name)
+        lp_path = '%s/%s' % (series.product.name, series.name)
         self.assertOnlyWritableResolves(lp_path)
 
     def test_private_branch_as_development_focus(self):

=== modified file 'lib/lp/codehosting/safe_open.py'
--- lib/lp/codehosting/safe_open.py	2011-12-19 23:38:16 +0000
+++ lib/lp/codehosting/safe_open.py	2011-12-22 09:05:46 +0000
@@ -45,6 +45,7 @@
 
 DEFAULT_PROBERS = [BzrProber, RemoteBzrProber]
 
+
 class BadUrl(Exception):
     """Tried to access a branch from a bad URL."""
 

=== modified file 'lib/lp/codehosting/sshserver/tests/test_session.py'
--- lib/lp/codehosting/sshserver/tests/test_session.py	2011-12-19 23:38:16 +0000
+++ lib/lp/codehosting/sshserver/tests/test_session.py	2011-12-22 09:05:46 +0000
@@ -1,4 +1,4 @@
-# Copyright 2009-2010 Canonical Ltd.  This software is licensed under the
+# Copyright 2009-2011 Canonical Ltd.  This software is licensed under the
 # GNU Affero General Public License version 3 (see the file LICENSE).
 
 """Tests for SSH session support on the codehosting SSH server."""
@@ -278,9 +278,9 @@
 class TestRestrictedExecOnlySession(AvatarTestCase):
     """Tests for RestrictedExecOnlySession.
 
-    bzr+ssh requests to the code hosting SSH server ask the server to execute a
-    particular command: 'bzr serve --inet /'. The SSH server rejects all other
-    commands.
+    bzr+ssh requests to the code hosting SSH server ask the server to execute
+    a particular command: 'bzr serve --inet /'. The SSH server rejects all
+    other commands.
 
     When it receives the expected command, the SSH server doesn't actually
     execute the exact given command. Instead, it executes another pre-defined
@@ -291,10 +291,12 @@
         AvatarTestCase.setUp(self)
         self.avatar = CodehostingAvatar(self.aliceUserDict, None)
         self.reactor = MockReactor()
+
         def lookup_template(command):
             if command == 'foo':
                 return 'bar baz %(user_id)s'
             raise ForbiddenCommand("Not allowed to execute %r." % command)
+
         self.session = RestrictedExecOnlySession(
             self.avatar, self.reactor, lookup_template)
 
@@ -342,10 +344,12 @@
         # RestrictedExecOnlySession can be easily registered as an adapter for
         # Conch avatars.
         from twisted.internet import reactor
+
         def lookup_template(command):
             if command == 'foo':
                 return 'bar baz'
             raise ForbiddenCommand(command)
+
         adapter = RestrictedExecOnlySession.getAvatarAdapter(
             lookup_template)
         session = adapter(self.avatar)

=== modified file 'lib/lp/codehosting/tests/helpers.py'
--- lib/lp/codehosting/tests/helpers.py	2011-12-19 23:38:16 +0000
+++ lib/lp/codehosting/tests/helpers.py	2011-12-22 09:05:46 +0000
@@ -1,4 +1,4 @@
-# Copyright 2009-2010 Canonical Ltd.  This software is licensed under the
+# Copyright 2009-2011 Canonical Ltd.  This software is licensed under the
 # GNU Affero General Public License version 3 (see the file LICENSE).
 
 """Common helpers for codehosting tests."""
@@ -112,6 +112,7 @@
     """
     def decorated(*args, **kwargs):
         d = defer.Deferred()
+
         def runInThread():
             return threads._putResultInDeferred(d, f, args, kwargs)
 
@@ -125,8 +126,10 @@
     """Return a clone of the given test."""
     from copy import deepcopy
     new_test = deepcopy(test)
+
     def make_new_test_id():
         return lambda: new_id
+
     new_test.id = make_new_test_id()
     return new_test
 

=== modified file 'lib/lp/codehosting/tests/test_sftp.py'
--- lib/lp/codehosting/tests/test_sftp.py	2011-12-19 23:38:16 +0000
+++ lib/lp/codehosting/tests/test_sftp.py	2011-12-22 09:05:46 +0000
@@ -1,4 +1,4 @@
-# Copyright 2009-2010 Canonical Ltd.  This software is licensed under the
+# Copyright 2009-2011 Canonical Ltd.  This software is licensed under the
 # GNU Affero General Public License version 3 (see the file LICENSE).
 
 """Tests for the transport-backed SFTP server implementation."""
@@ -34,6 +34,7 @@
     )
 from lp.codehosting.sshserver.daemon import CodehostingAvatar
 from lp.services.sshserver.sftp import FileIsADirectory
+from lp.services.utils import file_exists
 from lp.testing import TestCase
 from lp.testing.factory import LaunchpadObjectFactory
 
@@ -53,8 +54,10 @@
         maybe_method = getattr(self._transport, name)
         if not callable(maybe_method):
             return maybe_method
+
         def defer_it(*args, **kwargs):
             return defer.maybeDeferred(maybe_method, *args, **kwargs)
+
         return mergeFunctionMetadata(maybe_method, defer_it)
 
 
@@ -183,9 +186,11 @@
         """Assert that calling functions fails with `sftp_code`."""
         deferred = defer.maybeDeferred(function, *args, **kwargs)
         deferred = assert_fails_with(deferred, filetransfer.SFTPError)
+
         def check_sftp_code(exception):
             self.assertEqual(sftp_code, exception.code)
             return exception
+
         return deferred.addCallback(check_sftp_code)
 
     def openFile(self, path, flags, attrs):
@@ -256,10 +261,12 @@
         filename = self.getPathSegment()
         deferred = self.openFile(
             filename, filetransfer.FXF_WRITE | filetransfer.FXF_TRUNC, {})
+
         def write_chunks(handle):
             deferred = handle.writeChunk(1, 'a')
             deferred.addCallback(lambda ignored: handle.writeChunk(2, 'a'))
             deferred.addCallback(lambda ignored: handle.close())
+
         deferred.addCallback(write_chunks)
         return deferred.addCallback(
             lambda ignored: self.assertFileEqual(chr(0) + 'aa', filename))
@@ -457,8 +464,10 @@
         filename = self.getPathSegment()
         self.build_tree_contents([(filename, 'bar')])
         deferred = self.sftp_server.removeFile(filename)
+
         def assertFileRemoved(ignored):
-            self.failIfExists(filename)
+            self.assertFalse(file_exists(filename))
+
         return deferred.addCallback(assertFileRemoved)
 
     def test_removeFileError(self):
@@ -470,7 +479,7 @@
     def test_removeFile_directory(self):
         # Errors in removeFile are translated into SFTPErrors.
         filename = self.getPathSegment()
-        self.build_tree_contents([(filename+'/',)])
+        self.build_tree_contents([(filename + '/',)])
         deferred = self.sftp_server.removeFile(filename)
         return assert_fails_with(deferred, filetransfer.SFTPError)
 
@@ -480,9 +489,11 @@
         new_filename = self.getPathSegment()
         self.build_tree_contents([(orig_filename, 'bar')])
         deferred = self.sftp_server.renameFile(orig_filename, new_filename)
+
         def assertFileRenamed(ignored):
-            self.failIfExists(orig_filename)
-            self.failUnlessExists(new_filename)
+            self.assertFalse(file_exists(orig_filename))
+            self.assertTrue(file_exists(new_filename))
+
         return deferred.addCallback(assertFileRenamed)
 
     def test_renameFileError(self):
@@ -497,10 +508,12 @@
         directory = self.getPathSegment()
         deferred = self.sftp_server.makeDirectory(
             directory, {'permissions': 0777})
+
         def assertDirectoryExists(ignored):
             self.assertTrue(
                 os.path.isdir(directory), '%r is not a directory' % directory)
             self.assertEqual(040777, os.stat(directory).st_mode)
+
         return deferred.addCallback(assertDirectoryExists)
 
     def test_makeDirectoryError(self):
@@ -516,8 +529,10 @@
         directory = self.getPathSegment()
         os.mkdir(directory)
         deferred = self.sftp_server.removeDirectory(directory)
+
         def assertDirectoryRemoved(ignored):
-            self.failIfExists(directory)
+            self.assertFalse(file_exists(directory))
+
         return deferred.addCallback(assertDirectoryRemoved)
 
     def test_removeDirectoryError(self):
@@ -567,6 +582,7 @@
             '%s/%s/' % (parent_dir, child_dir),
             '%s/%s' % (parent_dir, child_file)])
         deferred = self.sftp_server.openDirectory(parent_dir)
+
         def check_entry(entries, filename):
             t = get_transport('.')
             stat = t.stat(urlutils.escape('%s/%s' % (parent_dir, filename)))
@@ -576,6 +592,7 @@
             name, longname, attrs = named_entries[0]
             self.assertEqual(lsLine(name, stat), longname)
             self.assertEqual(self.sftp_server._translate_stat(stat), attrs)
+
         def check_open_directory(directory):
             entries = list(directory)
             directory.close()
@@ -583,6 +600,7 @@
             self.assertEqual(set(names), set([child_dir, child_file]))
             check_entry(entries, child_dir)
             check_entry(entries, child_file)
+
         return deferred.addCallback(check_open_directory)
 
     def test_openDirectoryError(self):
@@ -597,10 +615,12 @@
         transport.put_bytes('hello', 'hello')
         sftp_server = TransportSFTPServer(AsyncTransport(transport))
         deferred = sftp_server.openDirectory('.')
+
         def check_directory(directory):
             with closing(directory):
                 names = [entry[0] for entry in directory]
             self.assertEqual(['hello'], names)
+
         return deferred.addCallback(check_directory)
 
     def test__format_directory_entries_with_MemoryStat(self):

